Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class EJBContainerAvailabilityConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.EJBContainerAvailabilityConfigKeys

public final class EJBContainerAvailabilityConfigKeys
extends java.lang.Object

Parameters used by `AvailabilityServiceConfig` when creating a new <ejb-container-availability> element.

See Also:
  `AvailabilityServiceConfig`, `SFSBPersistenceTypeValues`

Field Summary
`static java.lang.String` | `EJB_CONTAINER_AVAILABILITY_ENABLED_KEY`
`static java.lang.String` | `SFSB_CHECKPOINT_ENABLED_KEY`
`static java.lang.String` | `SFSB_HA_PERSISTENCE_TYPE_KEY` Legal values are those defined in `SFSBPersistenceTypeValues`.
`static java.lang.String` | `SFSB_PERSISTENCE_TYPE_KEY` See `SFSB_HA_PERSISTENCE_TYPE_KEY`.
`static java.lang.String` | `SFSB_QUICK_CHECKPOINT_ENABLED_KEY`
`static java.lang.String` | `SFSB_STORE_POOL_NAME_KEY` The jndi-name for the JDBC Connection Pool used potentially by both the Web Container and the EJB Stateful Session Bean Container for use in checkpointing/passivation when persistence-type = `SFSBPersistenceTypeValues.HA`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EJB_CONTAINER_AVAILABILITY_ENABLED_KEY

    public static final java.lang.String EJB_CONTAINER_AVAILABILITY_ENABLED_KEY

See Also:
  Constant Field Values

### SFSB_HA_PERSISTENCE_TYPE_KEY

    public static final java.lang.String SFSB_HA_PERSISTENCE_TYPE_KEY

  Legal values are those defined in `SFSBPersistenceTypeValues`.

  See Also:
    Constant Field Values

### SFSB_PERSISTENCE_TYPE_KEY

    public static final java.lang.String SFSB_PERSISTENCE_TYPE_KEY

  See `SFSB_HA_PERSISTENCE_TYPE_KEY`.

  See Also:
    Constant Field Values

### SFSB_CHECKPOINT_ENABLED_KEY

    public static final java.lang.String SFSB_CHECKPOINT_ENABLED_KEY

See Also:
  Constant Field Values

### SFSB_QUICK_CHECKPOINT_ENABLED_KEY

    public static final java.lang.String SFSB_QUICK_CHECKPOINT_ENABLED_KEY

See Also:
  Constant Field Values

### SFSB_STORE_POOL_NAME_KEY

    public static final java.lang.String SFSB_STORE_POOL_NAME_KEY

  The jndi-name for the JDBC Connection Pool used potentially by both the Web Container and the EJB Stateful Session Bean Container for use in checkpointing/passivation when persistence-type = `SFSBPersistenceTypeValues.HA`.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.